Get or List Customers
curl --request GET \
--url https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer \
--header 'Authorization: <api-key>' \
--header 'X-TenantID: <api-key>'import requests
url = "https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer"
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'X-TenantID': '<api-key>'}
};
fetch('https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"X-TenantID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("X-TenantID", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer")
.header("Authorization", "<api-key>")
.header("X-TenantID", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
request["X-TenantID"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "Customer retrieved",
"status": true,
"retry_count": 0,
"data": {
"id": 15,
"customer_reference": "account_001",
"type": "individual",
"name": "John Doe",
"email": "johndoe@company.com",
"phone": "+2348012345679",
"country_code": "NG",
"address": {
"street": "123 Main Street",
"street2": null,
"city": "Lagos",
"subdivision": "Lagos",
"postal_code": "100001",
"country_code": "NG"
},
"status": "UNDER_REVIEW",
"requirements": [],
"registrations": [
{
"provider_reference": "01a1e843-b041-7384-8649-430c0e7abc30",
"provisioning": "ON_REQUEST",
"status": "UNDER_REVIEW",
"programs": [
{
"program": null,
"currencies": [
"USD"
],
"status": "UNDER_REVIEW",
"provider_status": "PENDING",
"requirements": [],
"updated_at": "2026-11-17T06:48:34.357002564Z"
}
],
"documents": [
{
"type": "IDENTITY_DOCUMENT",
"side": "FRONT",
"person_reference": null,
"file_name": "1774864420319-pocketapp.png",
"status": "UPLOADED",
"message": null,
"sha256": "d8a2a85c3fe1d410f9459b70caf12e258c49b9f3b1cc477b9eaae74e7985380c",
"size": 2889,
"provider_reference": "1179696a-b405-4255-aeb8-831c6d981825",
"uploaded_at": "2026-11-17T06:48:33.395663472Z"
}
],
"last_error": null,
"refreshed_at": "2026-11-17T06:48:34.357003Z",
"created_at": "2026-11-17T06:48:16.161453Z"
}
],
"accounts": [
{
"id": 8,
"account_reference": "primary",
"customer_id": 15,
"customer_reference": "account_001",
"program": null,
"provisioning": "ON_REQUEST",
"provider_reference": null,
"currency": "USD",
"country_code": null,
"network": null,
"label": null,
"status": "PENDING",
"provider_status": null,
"holder_name": null,
"payment_instructions": [],
"metadata": {},
"message": "Waiting for the customer to become ACTIVE",
"refreshed_at": null,
"created_at": "2026-11-17T06:48:16.262954Z",
"updated_at": "2026-11-17T06:48:16.262954Z"
}
],
"business": null,
"individual": {
"first_name": "John",
"middle_name": null,
"last_name": "Doe",
"nationality": null
},
"identifications": [
{
"type": "PASSPORT",
"issuing_country": "NG",
"last4": "1511",
"expires_on": "2030-01-15"
},
{
"type": "TIN",
"issuing_country": "NG",
"last4": "1511",
"expires_on": null
}
],
"associated_persons": [],
"metadata": {},
"created_at": "2026-11-17T06:48:15.891065Z",
"updated_at": "2026-11-17T06:48:32.137453Z"
}
}vIBANS
Get or List Customers
This endpoint is used to either retrieve a specific customer or list multiple customers depending on the operation parameter.
For Get A Customer (operation=GET):
- Endpoint URL Example
https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer?operation=GET&customer_reference=VirtualAccount1. - Requires the
customer_referenceparameter. - Retrieves the specific customer’s verification progress and virtual account info.
For List Customers (operation=LIST):
- Endpoint URL example
https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer?operation=LIST&page_number=1&page_size=10m. - Requires
page_numberandpage_size. - Retrieves a paginated list of customers.
Notes:
- Kindly note that IP Address whitelisting is required for these requests.
GET
/
payaza-account
/
api
/
v1
/
mainaccounts
/
merchant
/
customer
Get or List Customers
curl --request GET \
--url https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer \
--header 'Authorization: <api-key>' \
--header 'X-TenantID: <api-key>'import requests
url = "https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer"
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'X-TenantID': '<api-key>'}
};
fetch('https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"X-TenantID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("X-TenantID", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer")
.header("Authorization", "<api-key>")
.header("X-TenantID", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
request["X-TenantID"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "Customer retrieved",
"status": true,
"retry_count": 0,
"data": {
"id": 15,
"customer_reference": "account_001",
"type": "individual",
"name": "John Doe",
"email": "johndoe@company.com",
"phone": "+2348012345679",
"country_code": "NG",
"address": {
"street": "123 Main Street",
"street2": null,
"city": "Lagos",
"subdivision": "Lagos",
"postal_code": "100001",
"country_code": "NG"
},
"status": "UNDER_REVIEW",
"requirements": [],
"registrations": [
{
"provider_reference": "01a1e843-b041-7384-8649-430c0e7abc30",
"provisioning": "ON_REQUEST",
"status": "UNDER_REVIEW",
"programs": [
{
"program": null,
"currencies": [
"USD"
],
"status": "UNDER_REVIEW",
"provider_status": "PENDING",
"requirements": [],
"updated_at": "2026-11-17T06:48:34.357002564Z"
}
],
"documents": [
{
"type": "IDENTITY_DOCUMENT",
"side": "FRONT",
"person_reference": null,
"file_name": "1774864420319-pocketapp.png",
"status": "UPLOADED",
"message": null,
"sha256": "d8a2a85c3fe1d410f9459b70caf12e258c49b9f3b1cc477b9eaae74e7985380c",
"size": 2889,
"provider_reference": "1179696a-b405-4255-aeb8-831c6d981825",
"uploaded_at": "2026-11-17T06:48:33.395663472Z"
}
],
"last_error": null,
"refreshed_at": "2026-11-17T06:48:34.357003Z",
"created_at": "2026-11-17T06:48:16.161453Z"
}
],
"accounts": [
{
"id": 8,
"account_reference": "primary",
"customer_id": 15,
"customer_reference": "account_001",
"program": null,
"provisioning": "ON_REQUEST",
"provider_reference": null,
"currency": "USD",
"country_code": null,
"network": null,
"label": null,
"status": "PENDING",
"provider_status": null,
"holder_name": null,
"payment_instructions": [],
"metadata": {},
"message": "Waiting for the customer to become ACTIVE",
"refreshed_at": null,
"created_at": "2026-11-17T06:48:16.262954Z",
"updated_at": "2026-11-17T06:48:16.262954Z"
}
],
"business": null,
"individual": {
"first_name": "John",
"middle_name": null,
"last_name": "Doe",
"nationality": null
},
"identifications": [
{
"type": "PASSPORT",
"issuing_country": "NG",
"last4": "1511",
"expires_on": "2030-01-15"
},
{
"type": "TIN",
"issuing_country": "NG",
"last4": "1511",
"expires_on": null
}
],
"associated_persons": [],
"metadata": {},
"created_at": "2026-11-17T06:48:15.891065Z",
"updated_at": "2026-11-17T06:48:32.137453Z"
}
}Authorizations
Query Parameters
Response
Request Successful
- Get A Customer Response
- List Customers Response